import { Types } from "./typing";
export declare namespace Obra {
    /**
     * @param esquemas
     * @param utc
     * @param daySelected
     * Determina el inicio y fin de turno en horario UTC 0 y tz nacional basado en un esquema de trabajo.
     */
    const timesTurno: (esquemas: Types.EsquemaTrabajo[], utc: number, daySelected?: Date) => {
        turnoIni: {
            UTCTurno: string;
            TZTurno: string;
            timeView: string;
        };
        turnoFin: {
            UTCTurno: string;
            TZTurno: string;
            timeView: string;
        };
        turnoString: string;
    };
    const getCalcMMAtTime: (historicAssignments: Types.Assignments[]) => number;
}
